> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUsersByCompanyName

> 
The `getUsersByCompanyName` API retrieves detailed information for all users within a company using company name as an identifier.

### What it does:

- Returns comprehensive user details for all employees and contractors within the specified company
- Provides complete user profile information including personal information, employment status, wage, and contact data

### Note:

- The system allows companies with the same name within the same administrative environment. Company name should only be used as a fallback to locate users when the Company ID cannot be accessed.



## OpenAPI

````yaml get /reports/getUsersByCompanyName
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUsersByCompanyName:
    get:
      tags: []
      summary: getUsersByCompanyName
      description: >-

        The `getUsersByCompanyName` API retrieves detailed information for all
        users within a company using company name as an identifier.


        ### What it does:


        - Returns comprehensive user details for all employees and contractors
        within the specified company

        - Provides complete user profile information including personal
        information, employment status, wage, and contact data


        ### Note:


        - The system allows companies with the same name within the same
        administrative environment. Company name should only be used as a
        fallback to locate users when the Company ID cannot be accessed.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUsersByCompanyName
                  example: getUsersByCompanyName
                companyName:
                  type: string
              required:
                - method
                - companyName
            example:
              method: getUsersByCompanyName
              companyName: 3M
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        companyID:
                          type: string
                        userID:
                          type: string
                        user:
                          type: string
                        firstName:
                          type: string
                        middleName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        dateOfJoin:
                          type: string
                        jobTitle:
                          type: string
                        kycStatus:
                          type: string
                        phoneNumber:
                          type: string
                        workerType:
                          type: object
                          properties:
                            workerType:
                              type: string
                          required:
                            - workerType
                      required:
                        - user
                        - userID
                        - companyID
                        - workerType
                        - firstName
                        - lastName
                        - middleName
                        - phoneNumber
                        - kycStatus
                        - jobTitle
                        - dateOfJoin
                        - email
                required:
                  - user
              example:
                users:
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: F4481532-51B0-4405-93E1-174FFA270AB7
                    user: Scarlett Orr
                    firstName: Scarlett
                    middleName: ''
                    lastName: Orr
                    email: scarlett123@mailsac.com
                    dateOfJoin: '2023-08-23'
                    jobTitle: HR
                    kycStatus: passed
                    phoneNumber: '8965886658'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: D91B2B72-66D5-49DC-9C79-41F983135D91
                    user: Robin Orr
                    firstName: Robin
                    middleName: ''
                    lastName: Orr
                    email: robin1234@mailsac.com
                    dateOfJoin: '2023-09-11'
                    jobTitle: HR
                    kycStatus: passed
                    phoneNumber: '4569745665'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: 5E704B63-FD22-4444-964A-4C4C90D6C545
                    user: Santos Howard
                    firstName: Santos
                    middleName: ''
                    lastName: Howard
                    email: santos123@mailsac.com
                    dateOfJoin: '2024-07-21'
                    jobTitle: HR
                    kycStatus: passed
                    phoneNumber: '7896325410'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: 80316182-54F6-479F-9DE0-5BA8AC214849
                    user: Grey Nancy
                    firstName: Grey
                    middleName: ''
                    lastName: Nancy
                    email: greynancy7748@mailsac.com
                    dateOfJoin: '2024-02-02'
                    jobTitle: HR
                    kycStatus: pending
                    phoneNumber: '8444144414'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: D864FBC7-AF7B-4C5C-B000-9FA11668721A
                    user: Otis Price
                    firstName: Otis
                    middleName: ''
                    lastName: Price
                    email: otis123@mailsac.com
                    dateOfJoin: '2024-06-21'
                    jobTitle: QA
                    kycStatus: passed
                    phoneNumber: '7896546322'
                    workerType:
                      workerType: 1099-NEC
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: DB14C767-4C87-479D-8752-CB31E1EDD067
                    user: Edi Beccker
                    firstName: Edi
                    middleName: ''
                    lastName: Beccker
                    email: edibecker@mailsac.com
                    dateOfJoin: '2024-02-02'
                    jobTitle: HR
                    kycStatus: pending
                    phoneNumber: '0478954152'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: E2DA74E1-1D03-4235-ADBD-CB508FF58513
                    user: Onyx Maddox
                    firstName: Onyx
                    middleName: ''
                    lastName: Maddox
                    email: onyx123@mailsac.com
                    dateOfJoin: '2023-08-21'
                    jobTitle: HR
                    kycStatus: passed
                    phoneNumber: '7896552324'
                    workerType:
                      workerType: W2
                  - companyID: 07D6D507-8764-4CD2-818E-D64CF554D018
                    userID: BECE2900-6169-4514-AC12-DDC8CD90A953
                    user: Emily Orr
                    firstName: Emily
                    middleName: ''
                    lastName: Orr
                    email: emily123@mailsac.com
                    dateOfJoin: '2023-08-23'
                    jobTitle: HR
                    kycStatus: passed
                    phoneNumber: '0233699856'
                    workerType:
                      workerType: W2
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````